Podczas aktualizacji instalator wykrył przekroczenie limitu czasu - 3.2.1 > 3.2.2

Pomoc przy instalacji oraz użytkowaniu phpBB 3.2.x. Forum nie służy do zgłaszania znalezionych błędów, innowacji lub problemów związanych ze stylami i rozszerzeniami.
hrx
Posty: 156
Rejestracja: 28 grudnia 2013, 10:47

Podczas aktualizacji instalator wykrył przekroczenie limitu czasu - 3.2.1 > 3.2.2

Post autor: hrx » 10 stycznia 2018, 11:22

Podczas aktualizacji forum z phpBB 3.2.1 do 3.2.2 wyskoczyła taka informacja:
Instalator wykrył przekroczenie limitu czasu
Przekroczono limit czasu. Możesz odświeżyć stronę, lecz może to spowodować utratę danych. Sugerujemy zwiększenie limitu czasu lub skorzystać z wiersza poleceń (CLI).
Pierwszy raz podczas aktualizacji phpBB coś takiego się zdarzyło. :o

Rozwiązanie tego błędu:

1. W pliku config.php w linii $dbms = 'phpbb\\db\\driver\\mysql'; zmieniłem mysql na mysqli i aktualizacja powiodła się.
2. Przed aktualizacją forum w razie bezpieczeństwa wyłączyłem wszystkie rozszerzenia i ustawiłem domyślny styl na prosilver.
3. Poradnik aktualizacji forum.

Temat z tym błędem na phpbb.com.
Ostatnio zmieniony 14 stycznia 2018, 21:04 przez vader, łącznie zmieniany 1 raz.
Powód: Przykleiłem temat + edytowałem tytuł

vader
Moderator
Posty: 926
Rejestracja: 19 kwietnia 2015, 14:44
Lokalizacja: Kraków
Kontakt:

Re: Podczas aktualizacji instalator wykrył przekroczenie limitu czasu

Post autor: vader » 10 stycznia 2018, 12:23

Jakim sposobem robiłeś automatyczną aktualizację?

hrx
Posty: 156
Rejestracja: 28 grudnia 2013, 10:47

Re: Podczas aktualizacji instalator wykrył przekroczenie limitu czasu

Post autor: hrx » 10 stycznia 2018, 12:28

Aktualizację zrobiłem tak jak opisałem to w tym poradniku.

vader
Moderator
Posty: 926
Rejestracja: 19 kwietnia 2015, 14:44
Lokalizacja: Kraków
Kontakt:

Re: Podczas aktualizacji instalator wykrył przekroczenie limitu czasu

Post autor: vader » 10 stycznia 2018, 12:36

Ok, pytam bo wczoraj chwilę robiłem aktualizację forum (lokalnie) przy pomocy automatycznej aktualizacji i się posypało :)

Tutaj jeszcze info o znanych błędach w phpBB 3.2.2 - https://www.phpbb.com/community/viewtop ... &t=2453611

hrx
Posty: 156
Rejestracja: 28 grudnia 2013, 10:47

Re: Podczas aktualizacji instalator wykrył przekroczenie limitu czasu

Post autor: hrx » 10 stycznia 2018, 14:16

Dodam jeszcze to, że po nieudanej aktualizacji przywróciłem kopię plików całego forum i bazę danych i w pliku config.php zrobiłem tę zmianę i od nowa zacząłem proces aktualizacji. Przywróciłem kopię, by mieć pewność, że nic z bazą danych nie stało się podczas nieudanej próby aktualizacji forum.

wymiata05
Posty: 23
Rejestracja: 15 stycznia 2006, 17:33

Re: Podczas aktualizacji instalator wykrył przekroczenie limitu czasu - 3.2.1 > 3.2.2

Post autor: wymiata05 » 28 stycznia 2019, 12:43

hrx pisze:
10 stycznia 2018, 11:22
1. W pliku config.php w linii $dbms = 'phpbb\\db\\driver\\mysql'; zmieniłem mysql na mysqli i aktualizacja powiodła się.
Czesc Kolego !

Ja od poczatku mam ustawione "mysqli" a i tak ciagle wywala przekroczony czas.

Masz jakies rady, albo pomysły? bo juz mi rece powoli opadają do tego skryptu.

vader
Moderator
Posty: 926
Rejestracja: 19 kwietnia 2015, 14:44
Lokalizacja: Kraków
Kontakt:

Re: Podczas aktualizacji instalator wykrył przekroczenie limitu czasu - 3.2.1 > 3.2.2

Post autor: vader » 28 stycznia 2019, 13:07

Z jakiej wersji do jakiej aktualizujesz? W wersji phpBB 3.2.2 były błędy. Więc od razu polecam aktualizację do wersji 3.2.5. + jak się pojawił błąd, to trzeba robić aktualizację na "starej" bazie danych z 3.2.1

wymiata05
Posty: 23
Rejestracja: 15 stycznia 2006, 17:33

Re: Podczas aktualizacji instalator wykrył przekroczenie limitu czasu - 3.2.1 > 3.2.2

Post autor: wymiata05 » 28 stycznia 2019, 14:08

vader pisze:
28 stycznia 2019, 13:07
Z jakiej wersji do jakiej aktualizujesz? W wersji phpBB 3.2.2 były błędy. Więc od razu polecam aktualizację do wersji 3.2.5. + jak się pojawił błąd, to trzeba robić aktualizację na "starej" bazie danych z 3.2.1
Kolego jeśli się nie mylę to mam wersje 3.2.3 i chciałem zaktualizować do 3.2.5, ale jest właśnie problem z z tym przekroczeniem czasu. Teraz próbowałem wgrać cały pakiet 3.2.5 po za plikami files, images itd.
Ale teraz to już w ogole mi wywaliło błąd: Warning: require(/www/satclub_testforum/www/test.satclub.iq.pl/vendor/composer/ClassLoader.php): failed to open stream: No such file or directory in /www/satclub_testforum/www/test.satclub.iq.pl/vendor/composer/autoload_real.php on line 12

Fatal error: require(): Failed opening required '/www/satclub_testforum/www/test.satclub.iq.pl/vendor/composer/ClassLoader.php' (include_path='.:/chroot/php-7.2/lib/php') in /www/satclub_testforum/www/test.satclub.iq.pl/vendor/composer/autoload_real.php on line 12

vader
Moderator
Posty: 926
Rejestracja: 19 kwietnia 2015, 14:44
Lokalizacja: Kraków
Kontakt:

Re: Podczas aktualizacji instalator wykrył przekroczenie limitu czasu - 3.2.1 > 3.2.2

Post autor: vader » 28 stycznia 2019, 14:25

Wgraj jeszcze raz katalog /vendor

wymiata05
Posty: 23
Rejestracja: 15 stycznia 2006, 17:33

Re: Podczas aktualizacji instalator wykrył przekroczenie limitu czasu - 3.2.1 > 3.2.2

Post autor: wymiata05 » 28 stycznia 2019, 14:38

Niestety dalej to samo

vader
Moderator
Posty: 926
Rejestracja: 19 kwietnia 2015, 14:44
Lokalizacja: Kraków
Kontakt:

Re: Podczas aktualizacji instalator wykrył przekroczenie limitu czasu - 3.2.1 > 3.2.2

Post autor: vader » 28 stycznia 2019, 14:50

Usuń folder production z folderu cache, albo ogólnie wyczyść katalog cache oprócz pliku .htaccess oraz index.html

wymiata05
Posty: 23
Rejestracja: 15 stycznia 2006, 17:33

Re: Podczas aktualizacji instalator wykrył przekroczenie limitu czasu - 3.2.1 > 3.2.2

Post autor: wymiata05 » 28 stycznia 2019, 14:55

Bez zmian. Najlepsze jest to, że teraz nawet jak skopiowałem katalog vendor ze zrobionej wczesniej kopii z serwera dalej wywala ten problem.

A nie jest to coś związane z wersją php? wczoraj trochę się bawiłem i mając cały czas 7.1 przełączyłem na 7.2 i cały dzien wczoraj dalej w PA mi wyświetlało wersje jako 7.1, a na serwerze już wisiała 7.2 niby. Teraz co prawda powrócilem do wersji 7.1, ale bez zmian

vader
Moderator
Posty: 926
Rejestracja: 19 kwietnia 2015, 14:44
Lokalizacja: Kraków
Kontakt:

Re: Podczas aktualizacji instalator wykrył przekroczenie limitu czasu - 3.2.1 > 3.2.2

Post autor: vader » 28 stycznia 2019, 15:06

Czy ten katalog vendor jest z pełnego zipa phpBB 3.2.5? Bo jeśli ciągle masz problem jak w tym poście viewtopic.php?f=138&p=78239#p78235, to po prostu brakuje plików z katalogu vendor

wymiata05
Posty: 23
Rejestracja: 15 stycznia 2006, 17:33

Re: Podczas aktualizacji instalator wykrył przekroczenie limitu czasu - 3.2.1 > 3.2.2

Post autor: wymiata05 » 28 stycznia 2019, 15:08

Tak jest z pełnego zipa i dalej mam problem jak w tym poście . Nie brakuję plików w katalogu bo jest sprawdzałem po kolei na serwerze, nawet znalazłem 12 linijkę w autoload_real.php tylko nie wiem jak to ożywić

vader
Moderator
Posty: 926
Rejestracja: 19 kwietnia 2015, 14:44
Lokalizacja: Kraków
Kontakt:

Re: Podczas aktualizacji instalator wykrył przekroczenie limitu czasu - 3.2.1 > 3.2.2

Post autor: vader » 28 stycznia 2019, 16:17

Używasz pełnego .zip a nie automatyczna instalacja? Spróbuj wgrać jeszcze raz wszystkie pliki. Pamiętaj że baza musi być w wersja 3.2.3 odtworzona z backupu.

ODPOWIEDZ